<div class="card my-5">
  <body class="mat-typography">
  <div class="card-body">
    <form (ngSubmit)="onSubmit()" #userForm="ngForm">
      <div class="form-group">
        <label class="mat-body" for="name">Name</label>
        <input type="text" [(ngModel)]="user.name"
               class="mat-typography"
               id="name"
               name="name"
               placeholder="Enter your name"
               required #name="ngModel">
      </div>
      <div class="form-group">
        <label for="email">Email</label>
        <input type="text" [(ngModel)]="user.email"
               class="form-control"
               id="email"
               email="email"
               placeholder="enter your email address"
               required #email="ngModel">
      </div>
      <div class="form-group">
        <label for="password">Password</label>
        <input type="text" [(ngModel)]="user.password"
               class="form-control"
               id="password"
               password="password"
               placeholder="create a password"
               required #password="ngModel"
               pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z].{8.}">

      </div>
      <button type="submit" [disabled]="!userForm.form.valid"
              class="btn btn-info">Submit
      </button>

    </form>
  </div>
  </body>
</div>
